/** @file cava.h
 *  @brief This module contains continuous tasks for cava (spectrum analyzer) comunication
 */
#if !defined(__CAVA_H__)
#define __CAVA_H__

/***************************************************************************************************
 * Includes
 **************************************************************************************************/

#include <stdint.h>

/***************************************************************************************************
 * Preprocessor Constants and Macros
 **************************************************************************************************/

#define CAVA_BAR_NUMBER 128

/***************************************************************************************************
 * Type and Contant Definitions
 **************************************************************************************************/

/***************************************************************************************************
 * Global Variables
 **************************************************************************************************/

/***************************************************************************************************
 * External Function Prototypes
 **************************************************************************************************/

int cava_get_buffer(uint16_t **buffer_dst);

void cava_start();

void cava_stop();

#endif /* __CAVA_H__ */